Skip to navigation

Get application configuration

View as Markdown
Retrieves the application configuration for the current user and specified database. This is primarily used by internal client applications and is not typically needed for external API usage.

Authentication

AuthorizationBearer
Access token obtained from the login endpoint

Path parameters

databasestringRequired
Name of the database to connect to. Overrides any database specified in the request body or query parameters.

Request

This endpoint expects an object.
databasestringOptional

Target database name (defaults to system if not specified)

Response

Successfully returned application configuration
configobjectOptional
Application configuration properties
databasestringOptional

Target database name (defaults to system if not specified)

usernamestringOptional
The current authenticated user

Errors

401
Unauthorized Error
404
Not Found Error